# Class FeatureSaveError

An error that is thrown when features fail to save.

#### Hierarchy

- Error
  - FeatureSaveError

#####
Index

### Constructors

constructor

### Properties

errors

##
Constructors

### constructor

- new FeatureSaveError(message, ...args): FeatureSaveError

- Initializes a new instance of the FeatureSaveError class.

  #### Parameters

  - message: string

    The error message. If not specified, a default one will be used.

  - `Rest`...args: unknown[]

    The values to substitute into the format string. Null and undefined values will be converted into empty strings.

  #### Returns FeatureSaveError

  Overrides Error.constructor

##
Properties

### `Readonly` errors

errors: Map<string, Error>

Errors that occurred while trying to perform feature editing. Keys are the ids of features that had a failed operation. Values are the error messages for the failed operations.